Issue 87559 - Menu bar High Contrast broken
Menu bar High Contrast broken
Status: CLOSED FIXED
Product: gsl
Classification: Code
Component: code
OOo 2.4.0
All All
: P3 trivial (vote)
: OOo 3.0
Assigned To: eric.savary
issues@gsl
: accessibility, oooqa
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-28 14:29 UTC by malte_timmermann
Modified: 2009-07-20 14:52 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
only effect: startcenterbackground partially black, but doesn't help a11y in that case (105.00 KB, image/png)
2008-08-05 19:04 UTC, lohmaier
no flags Details
StartCenter with HC (black) on Gnome (Solaris Sparc) (57.18 KB, image/png)
2008-08-14 14:06 UTC, thorsten.ziehm
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description malte_timmermann 2008-03-28 14:29:14 UTC
When choosing High Contrast Black, the menu bar should be black.
Currently it still has a gradient from black to white.
Comment 1 malte_timmermann 2008-03-28 14:32:46 UTC
kw: accessibility
Comment 2 philipp.lohmann 2008-04-23 18:42:33 UTC
fixed in CWS vcl89

HC (black) now paints a black menubar background, unless native theming supports
the menubar (e.g. for gtk). Native theming will be unchanged.
Comment 3 philipp.lohmann 2008-06-06 13:30:10 UTC
please verify in CWS vcl89
Comment 4 eric.savary 2008-06-18 15:33:31 UTC
Verified in CWS vcl89
Comment 5 lohmaier 2008-08-05 19:02:59 UTC
Doesn't work in m28 → reopen. And fails for startcenter as well (see screenshot)

Toolbar still has gradient background, both whith SAL_USE_VCLPLUGIN=gen and
OOO_FORCE_DESKTOP=none
Comment 6 lohmaier 2008-08-05 19:04:20 UTC
Created attachment 55579 [details]
only effect: startcenterbackground partially black, but doesn't help a11y in that case
Comment 7 thorsten.ziehm 2008-08-14 14:04:24 UTC
Set back to state 'fixed'. On Windows and Solaris it looks fine in Dev300m28 and
OOO300m2. A screen shot from Solaris is attached.
=> cloph : if the start center is still broken on your system, please write a
new issue for it. The initial issue is fixed.
Comment 8 thorsten.ziehm 2008-08-14 14:06:15 UTC
Created attachment 55787 [details]
StartCenter with HC (black) on Gnome (Solaris Sparc)
Comment 9 thorsten.ziehm 2008-08-14 14:06:58 UTC
set to old status : 'verified'
Comment 10 philipp.lohmann 2008-08-14 15:05:20 UTC
cloph: if you forcibly disable system integration with setting either
SAL_USE_VCLPLUGIN=gen or OOO_FORCE_DESKTOP=none then you end up with the default
battleship gray color set - which OF COURSE is not high contrast. Nothing is in
that case. I'd rather be more interested how you produced that black background
in the start center, which looks like a completely different bug.
Comment 11 lohmaier 2008-08-15 02:17:38 UTC
Your description of the fix reads like this:

> HC (black) now paints a black menubar background, unless native theming 
> supports the menubar (e.g. for gtk). Native theming will be unchanged.

(therefore testing this with a high-contrast desktop theme in gnome like in
Thorsten's screenshot was "Themaverfehlung" from my point of view - here it
works with a high-contrast desktop theme and having OOo detect that as well, but
that was unchanged anyway)

And of course to disable native theming, I did set the environment variables to
tell OOo to use the generic plugin. And with the generic plugin, but a manually
selected high-contrast icon theme in OOo, I get the result as in the attached
screenshot.

But apparently I misunderstood the comment and it was meant that using a theme
named "HC (black)" will force OOo into High-Contrast mode no matter what. My
attention was on "no native theming", and I thought that "Choosing the HC icon
theme in OOo will set the menu/toolbar background to black" (which would be a
sensible thing to do, since with regular background the icons are not really
readable)

You get the broken startcenter by choosing OOo's high-contrast icon theme. That
effect assured me even more in my assumptions that it was planned/intended with
the fix of that issue, that selecting the icon-theme in OOo should set the
background color of the tool/menubars.
Turns out, that with OOO300_m2, it is enough to set the icon-theme to
HighContrast, no need to set any environment variable to get the startcenter
effect - it is broken even with native theming (Tools | Options → OOo → View →
Icon theme)
Comment 12 philipp.lohmann 2008-08-15 10:32:37 UTC
You're perfectly right, what I wrote is incomplete, and gives a totally wrong
impression which lead to this conundrum. So let me restate it:

- the bug is as follows: On systems where native theming is supported and a high
contrast black theme is selected but the menubar is not drawn by the theming (as
e.g. on Windows), the menubar still drew a gradient which does not really fit
the high contrast scenarion.

- the fix is: if the window background is dark, the menu bar does not display
the gradient, but the window background color. For this to work we need to know
the system defined background color of course, so disabling native theming
wholesale will result in the gradient again.

As for the start center and high contrast theme I'll file a separate issue and
set you on CC
Comment 13 thorsten.ziehm 2009-07-20 14:52:24 UTC
This issue is closed automatically and wasn't rechecked in a current version of
OOo. The fixed issue should be integrated in OOo since more than half a year. If
you think this issue isn't fixed in a current version (OOo 3.1), please reopen
it and change the field 'Target Milestone' accordingly.

If you want to download a current version of OOo =>
http://download.openoffice.org/index.html
If you want to know more about the handling of fixed/verified issues =>
http://wiki.services.openoffice.org/wiki/Handle_fixed_verified_issues